﻿local addon_name = "hagakure_cooldowns"
local L = LibStub:GetLibrary("AceLocale-3.0"):NewLocale(addon_name, "enUS",true,true)
if not L then return false end

L["Hagakure cooldowns"] = "Hagakure cooldowns"

L["lock frames"] = "Lock"
L["desc lock frames"] = "block anchor frames for drag"
L["unlock frames"]="Release"
L["desc unlock frames"]="release anchor frames for drag"
L["run config"]="Settings"
L["desc run config"]="launch addon settings"
L["spells"]="Spells"
L["desc spells"]="List of spells by categories that are tracked by the system"
L["redraw"]="Redraw"
L["desc redraw"]="Redraw using new spell table"
L["show/hide all"]="Hide/show"
L["desc show/hide all"]="Hide (show) all frames from tracked cooldowns"

L["|cffff0000Hagakure cooldowns, greet %s! run /hcd"] = "|cffff0000Addon Hagakure cooldowns successfully loaded, %s!|r Launch |cff00ffff/hcd|r for addon settings."

L["Spell name %s class %s specs %s"]="Spell |cff00ffff%s|r |cff00ff00%s|r |cffff0000%s|r"
 
 do -- types of spells
	L["type1"]="-damage +heal"
	L["desc type1"]="Spells, which casts on all raiders, increasing +heal on targets, or reduce incoming damage"

	L["type2"]="AoE heal"
	L["desc type2"]="Mass healing spells"

	L["type3"]="for mana"
	L["desc type3"]="Spells increasing mana of raid / raider"

	L["type4"]="self cd"
	L["desc type4"]="Spells which reduce incoming damage to player"

	L["type5"]="target cd"
	L["desc type5"]="Spells, which can be used at another player."

	L["type6"]="cd for +damage"
	L["desc type6"]="Spells that increase raid dps"

	L["type7"]="rebirth"
	L["desc type7"]="Spells, which rebirth dead allies"

	L["type8"]="mix"
	L["desc type8"]="Spells, that can be usefull"
end

do -- headers
	L["header1"] = "Setting up for the frame with the cooldowns on -damage +heal"
	L["header2"] = "Setting up for the frame with the cooldowns on AoE heal"
	L["header3"] = "Setting up for the frame with the cooldowns on mana"
	L["header4"] = "Setting up for the frame with the self cooldowns"
	L["header5"] = "Setting up for the frame with the target cooldowns"
	L["header6"] = "Setting up for the frame with the cooldowns on +damage"
	L["header7"] = "Setting up for the frame with the cooldowns on rebirth"
	L["header8"] = "Setting up for the frame with min cooldowns"
end

do -- width of type frames
	L["type width1"]="Width"
	L["desc type width1"]="The width of the frame with the cooldowns on -damage +heal"

	L["type width2"]="Width"
	L["desc type width2"]="The width of the frame with the cooldowns on AoE heal"

	L["type width3"]="Width"
	L["desc type width3"]="The width of the frame with the cooldowns on mana"

	L["type width4"]="Width"
	L["desc type width4"]="The width of the frame with the self cooldowns"

	L["type width5"]="Width"
	L["desc type width5"]="The width of the frame with the direct cooldowns"

	L["type width6"]="Width"
	L["desc type width6"]="The width of the frame with the on +damage"

	L["type width7"]="Width"
	L["desc type width7"]="The width of the frame with the cooldowns on rebirth"

	L["type width8"]="Width"
	L["desc type width8"]="The width of the frame with mix cooldowns"
end

do -- sort method of type frames
	L["sort method1"] = "Sorting"
	L["desc sort method1"] = "Sorting of the frame with the cooldowns on -damage +heal"
	
	L["sort method2"] = "Sorting"
	L["desc sort method2"] = "Sorting of the frame with the cooldowns on AoE heal"
	
	L["sort method3"] = "Sorting"
	L["desc sort method3"] = "Sorting of the frame with the cooldowns on mana"
	
	L["sort method4"] = "Sorting"
	L["desc sort method4"] = "Sorting of the frame with the self cooldowns"
	
	L["sort method5"] = "Sorting"
	L["desc sort method5"] = "Sorting of the frame with the direct cooldowns"
	
	L["sort method6"] = "Sorting"
	L["desc sort method6"] = "Sorting of the frame with the cooldowns on +damage"
	
	L["sort method7"] = "Sorting"
	L["desc sort method7"] = "Sorting of the frame with the cooldowns on rebirth"
	
	L["sort method8"] = "Sorting"
	L["desc sort method8"] = "Sorting of the frame with mix cooldowns"
end

do -- enable section
	L["enable1"] = "Display"
	L["desc enable1"] = "Display frame with the cooldowns on -damage +heal"
	
	L["enable2"] = "Display"
	L["desc enable2"] = "Display frame with the cooldowns on AoE heal"
	
	L["enable3"] = "Display"
	L["desc enable3"] = "Display frame with the cooldowns on mana"
	
	L["enable4"] = "Display"
	L["desc enable4"] = "Display frame with the self cooldowns"
	
	L["enable5"] = "Display"
	L["desc enable5"] = "Display frame with the direct cooldowns"
	
	L["enable6"] = "Display"
	L["desc enable6"] = "Display frame with the cooldowns on +damage"
	
	L["enable7"] = "Display"
	L["desc enable7"] = "Display frame with the cooldowns on rebirth"
	
	L["enable8"] = "Display"
	L["desc enable8"] = "Display frame with mix cooldowns"
end

do -- description of fort methods
	L["from top to bottom"] = "From top to bottom"
	L["from left to right"] = "From left to right"
	L["from right to left"] = "From right to left"
	L["from bottom to top"] = "From bottom to top"
end

do -- spec list
	L["PALADIN"]="paladin"
	L["PALADIN0"]="all specs"
	L["PALADIN1"]="holy spec"
	L["PALADIN2"]="protection spec"
	L["PALADIN1, 3"]="holy and protection specs"

	L["WARRIOR"]="warrior"
	L["WARRIOR0"]="all specs"
	L["WARRIOR3"]="protection spec"
	L["WARRIOR1, 2"]="arms, fury specs"

	L["PRIEST"]="priest"
	L["PRIEST0"]="all specs"
	L["PRIEST1"]="discipline spec"
	L["PRIEST1, 3"]="disciplin and shadow specs"
	L["PRIEST2"]="holy spec"
	L["PRIEST3"]="shadow spec"

	L["SHAMAN"]="shaman"
	L["SHAMAN0"]="all specs"
	L["SHAMAN0"]="elem spec"
	L["SHAMAN3"]="restoration spec"

	L["DEATHKNIGHT"]="death knight"
	L["DEATHKNIGHT0"]="all specs"
	L["DEATHKNIGHT1"]="blood spec"
	L["DEATHKNIGHT3"]="unholy spec"

	L["DRUID"]="druid"
	L["DRUID0"]="all specs"
	L["DRUID1"]="balance spec"
	L["DRUID2"]="feral spec"
	L["DRUID3"]="restoration spec"
	L["DRUID1, 3"]="balance and restoration specs"

	L["HUNTER"]="hunter"
	L["HUNTER0"]="all specs"

	L["ROGUE"]="rogue"
	L["ROGUE0"]="all specs"

	L["MAGE"]="mage"
	L["MAGE0"]="all specs"
	L["MAGE2"]="fire spec"

	L["WARLOCK"]="warlock"
	L["WARLOCK0"]="all specs"
end

do -- font+color config
	L["color setup"] = "Color settings"
	L["font name"] = "Font"
	L["desc font name"] = "The font used for drawing frame"
	L["font size"] = "Size"
	L["desc font size"] = "The size of the font used when drawing frames"
	L["exl spell color"] = "Perfect"
	L["desc exl spell color"] = "The color which used for perfect cooldowns"
	L["good spell color"] = "Good"
	L["desc good spell color"] = "The color which used for good cooldowns"
	L["bad spell color"] = "Bad"
	L["desc bad spell color"] = "The color which used for bad cooldowns"
	L["off spell color"] = "Offline"
	L["desc off spell color"] = "The color which used for cooldowns of offline players" 
	L["dead spell color"] = "Dead"
	L["desc dead spell color"] = "The color which used for cooldowns of dead players"
	L["cd spell color"] = "On cooldown"
	L["desc cd spell color"] = "The color which used for timer which show recovery of spells"
end

do -- active spells frame
	L["active spell frame"] = "Active spells"
	L["active spells"] = "Config for frame, that contains currently casting spells"
	L["actspell width"] = "width"
	L["desc actspell width"] = "Width of icon currently casting spell"
	L["actspell sort method"] = "Sorting"
	L["actspell desc sort method"] = "Sorting of the frame with currently casting spells"
	L["actspell enable"] = "enable"
	L["actspell desc enable"] = "Enable frame with currently casting spells"
end

do -- 02.02
	L["test mod"] = "Test mode"
	L["desc test mod"] = "Turn on/off test mode."
	L["expert"] = "Expert"
	L["desc expert"] = "Configure additional settings."
	L["track groups"]="Groups"
	L["desc track groups"]="Track CDs only members of first this groups"
	
	L["fast timer"]="Fast tick"
	L["desc fast timer"]="Time between ticks of timer, when some spell's cd is going to end (min value is 1/11 from AceTimer)"
	L["slow timer"]="Slow tick"
	L["desc slow timer"]="Time between check CD in normal mod"
	L["min time"]="threshold"
	L["desc min time"]="The threshold of CD to run"
	
	L["announce CDs"]="Announcing end of CDs"
	
	L["ann rw"] = "Raid warning"
	L["desc ann rw"] = "After cooldown is ready announce through raid warning."
	L["ann raid"] = "Raid"
	L["desc ann raid"] = "After cooldown is ready announce through raid channel."
	L["ann say"] = "Say"
	L["desc ann say"] = "After cooldown is ready announce through /say."
	L["ann yell"] = "Yell"
	L["desc ann yell"] = "After cooldown is ready announce through /yell."
	L["ann self"] = "Chat"
	L["desc ann self"] = "After cooldown is ready announce own chat."
	L["ann only rl"] = "Only when assist"
	L["desc ann only rl"] = "Announce spell CDs in public channels (/rw /raid /yell /say) only with assist or RL status."
	L["ann party"] = "Group"
	L["desc ann party"] = "After cooldown is ready announce through party channel."
	
	L["Spell %s of %s is ready!"] = "Spell %s of %s is ready!"
end











