﻿local addon_name = "hagakure_cooldowns"
local L = LibStub:GetLibrary("AceLocale-3.0"):NewLocale(addon_name, "ruRU")
if not L then return false end

L["Hagakure cooldowns"] = "Hagakure cooldowns"

L["lock frames"] = "Заблокировать"
L["desc lock frames"] = "заблокировать якоря фреймов для перетаскивания"
L["unlock frames"]="Разблокировать"
L["desc unlock frames"]="разблокировать якоря фреймов для перетаскивания"
L["run config"]="Настройки"
L["desc run config"]="запустить настройки аддона"
L["spells"]="Заклинания"
L["desc spells"]="Список спеллов по категориям, которые отслеживаются системой"
L["redraw"]="Перерисовать"
L["desc redraw"]="Перерисовать с использованием новой таблицы спеллов"
L["show/hide all"]="Скрыть/отобразить"
L["desc show/hide all"]="Скрыть (отобразить) все фреймы с отслеживаемыми кулдаунами"

L["|cffff0000Hagakure cooldowns, greet %s! run /hcd"] = "|cffff0000Аддон Hagakure cooldowns успешно загружен, %s!|r Запусти |cff00ffff/hcd|r для конфигурации аддона."

L["Spell name %s class %s specs %s"]="Спелл |cff00ffff%s|r |cff00ff00%s|r |cffff0000%s|r"
 
 do -- types of spells
	L["type1"]="-дамаг +хилл"
	L["desc type1"]="Заклинания, кастуемые на весь рейд, увеличивающие +хил по целям, либо понижающие входящий дамаг"

	L["type2"]="аое хил"
	L["desc type2"]="Заклинания массового исцеления"

	L["type3"]="на манну"
	L["desc type3"]="Заклинания увеличивающие манну рейда/рейдеру"

	L["type4"]="личные кд"
	L["desc type4"]="Заклинания, понижающие входящий в игрока дамаг"

	L["type5"]="точечные кд"
	L["desc type5"]="Заклинания, которые могут кидаться на другого игрока."

	L["type6"]="кд на +дамаг"
	L["desc type6"]="Заклинания, увеличивающие дпс рейда"

	L["type7"]="возрождения"
	L["desc type7"]="Заклинания, возрождающие мертвых союзников"

	L["type8"]="прочее"
	L["desc type8"]="Заклинания, которые не попали в другие категории"
end

do -- headers
	L["header1"] = "Настройка фрейма с кулдаунами на -дамаг + хил"
	L["header2"] = "Настройка фрейма с кулдаунами на аое хил"
	L["header3"] = "Настройка фрейма с кулдаунами на манну"
	L["header4"] = "Настройка фрейма с личными кулдаунами"
	L["header5"] = "Настройка фрейма с точечными кулдаунами"
	L["header6"] = "Настройка фрейма с кулдаунами на +дамаг"
	L["header7"] = "Настройка фрейма с кулдаунами на возрождения"
	L["header8"] = "Настройка фрейма с прочими кулдаунами"
end

do -- width of type frames
	L["type width1"]="Ширина"
	L["desc type width1"]="Ширина фрейма с кулдаунами на -дамаг +хил"

	L["type width2"]="Ширина"
	L["desc type width2"]="Ширина фрейма с кулдаунами на аое хил"

	L["type width3"]="Ширина"
	L["desc type width3"]="Ширина фрейма с кулдаунами на манну"

	L["type width4"]="Ширина"
	L["desc type width4"]="Ширина фрейма с личными кулдаунами"

	L["type width5"]="Ширина"
	L["desc type width5"]="Ширина фрейма с точечными кулдаунами"

	L["type width6"]="Ширина"
	L["desc type width6"]="Ширина фрейма с кулдаунами на +дамаг"

	L["type width7"]="Ширина"
	L["desc type width7"]="Ширина фрейма с кулдаунами на возрождения"

	L["type width8"]="Ширина"
	L["desc type width8"]="Ширина фрейма с прочими кулдаунами"
end

do -- sort method of type frames
	L["sort method1"] = "Направление роста"
	L["desc sort method1"] = "Направление роста фрейма с кулдаунами на -дамаг +хил"
	
	L["sort method2"] = "Направление роста"
	L["desc sort method2"] = "Направление роста фрейма с кулдаунами на аое хил"
	
	L["sort method3"] = "Направление роста"
	L["desc sort method3"] = "Направление роста фрейма с кулдаунами на манну"
	
	L["sort method4"] = "Направление роста"
	L["desc sort method4"] = "Направление роста фрейма с личными кулдаунами"
	
	L["sort method5"] = "Направление роста"
	L["desc sort method5"] = "Направление роста фрейма с точечными кулдаунами"
	
	L["sort method6"] = "Направление роста"
	L["desc sort method6"] = "Направление роста фрейма с кулдаунами на +дамаг"
	
	L["sort method7"] = "Направление роста"
	L["desc sort method7"] = "Направление роста фрейма с кулдаунами на возрождения"
	
	L["sort method8"] = "Направление роста"
	L["desc sort method8"] = "Направление роста фрейма с прочими кулдаунами"
end

do -- enable section
	L["enable1"] = "Отображать"
	L["desc enable1"] = "Отображать фрейм с кулдаунами на -дамаг +хил"
	
	L["enable2"] = "Отображать"
	L["desc enable2"] = "Отображать фрейм с кулдаунами на аое хил"
	
	L["enable3"] = "Отображать"
	L["desc enable3"] = "Отображать фрейм с кулдаунами на манну"
	
	L["enable4"] = "Отображать"
	L["desc enable4"] = "Отображать фрейм с личными кулдаунами"
	
	L["enable5"] = "Отображать"
	L["desc enable5"] = "Отображать фрейм с точечными кулдаунами"
	
	L["enable6"] = "Отображать"
	L["desc enable6"] = "Отображать фрейм с кулдаунами на +дамаг"
	
	L["enable7"] = "Отображать"
	L["desc enable7"] = "Отображать фрейм с кулдаунами на возрождения"
	
	L["enable8"] = "Отображать"
	L["desc enable8"] = "Отображать фрейм с прочими кулдаунами"
end

do -- description of fort methods
	L["from top to bottom"] = "Сверху вниз"
	L["from left to right"] = "Слева направо"
	L["from right to left"] = "Справо налево"
	L["from bottom to top"] = "Снизу вверх"
end

do -- spec list
	L["PALADIN"]="паладин"
	L["PALADIN0"]="все спеки"
	L["PALADIN1"]="холи спек"
	L["PALADIN2"]="прот спек"
	L["PALADIN1, 3"]="холи и прот спеки"

	L["WARRIOR"]="воин"
	L["WARRIOR0"]="все спеки"
	L["WARRIOR3"]="прот спек"
	L["WARRIOR1, 2"]="армс, фури спек"

	L["PRIEST"]="жрец"
	L["PRIEST0"]="все спеки"
	L["PRIEST1"]="диск спек"
	L["PRIEST1, 3"]="диск и шп спек"
	L["PRIEST2"]="холи спек"
	L["PRIEST3"]="шп спек"

	L["SHAMAN"]="шаман"
	L["SHAMAN0"]="все спеки"
	L["SHAMAN1"]="элем спек"
	L["SHAMAN3"]="рестор спек"

	L["DEATHKNIGHT"]="рыцарь смерти"
	L["DEATHKNIGHT0"]="все спеки"
	L["DEATHKNIGHT1"]="блад спек"
	L["DEATHKNIGHT3"]="анхоли спек"

	L["DRUID"]="друид"
	L["DRUID0"]="все спеки"
	L["DRUID1"]="баланс спек"
	L["DRUID2"]="ферал спек"
	L["DRUID3"]="рестор спек"
	L["DRUID1, 3"]="баланс и рестор спеки"

	L["HUNTER"]="охотник"
	L["HUNTER0"]="все спеки"

	L["ROGUE"]="разбойник"
	L["ROGUE0"]="все спеки"

	L["MAGE"]="маг"
	L["MAGE0"]="все спеки"
	L["MAGE2"]="огненый спек"

	L["WARLOCK"]="чернокнижник"
	L["WARLOCK0"]="все спеки"
end

do -- font+color config
	L["color setup"] = "Настройки цветов"
	L["font name"] = "Шрифт"
	L["desc font name"] = "Шрифт, который используется при прорисовки фреймов"
	L["font size"] = "Размер"
	L["desc font size"] = "Размер шрифта, который используется при прорисовке фреймов"
	L["exl spell color"] = "Отличные"
	L["desc exl spell color"] = "Цвет, которым будут подкрашиваться отличные кулдауны"
	L["good spell color"] = "Хорошие"
	L["desc good spell color"] = "Цвет, которым будут подкрашиваться хорошие кулдауны"
	L["bad spell color"] = "Плохие"
	L["desc bad spell color"] = "Цвет, которым будут подкрашиваться плохие кулдауны"
	L["off spell color"] = "Оффлайн"
	L["desc off spell color"] = "Цвет, которым будут подкрашиваться кулдауны игроков, ушедших в оффлайн" 
	L["dead spell color"] = "Мертвый"
	L["desc dead spell color"] = "Цвет, которым будут подкрашиваться кулданы умерших игроков"
	L["cd spell color"] = "На кулдауне"
	L["desc cd spell color"] = "Цвет, которым будут отображаться запущенный таймер восстановления спеллов"
end

do -- active spells frame
	L["active spells"] = "Настройки контейнера для заклинаний, имеющих время каста."
	L["active spell frame"] = "Активные спеллы"
	L["actspell width"] = "размер"
	L["desc actspell width"] = "Ширина/высота иконки активного заклинания"
	L["actspell sort method"] = "Направление роста"
	L["actspell desc sort method"] = "Направление роста при добавлении нового заклинания в фрейм"
	L["actspell enable"] = "включить"
	L["actspell desc enable"] = "Включить/выключить дополнительное отображение заклинаний, кастующихся в данный момент."
end

do -- 02.02
	L["test mod"] = "Режим проверки"
	L["desc test mod"] = "Включить/выключить режим проверки настроек"
	L["expert"] = "Эксперт"
	L["desc expert"] = "Настроить дополнительные настройки к аддону"
	L["track groups"]="Группы"
	L["desc track groups"]="Отслеживает кулдауны игроков только этих первых группы"
	
	L["fast timer"]="Быстрый тик"
	L["desc fast timer"]="Время между тиками таймера обновления спеллов при окончании кулдауна (невозможно установить меньше 1/11 - по умолчанию AceTimer)"
	L["slow timer"]="Медленный тик"
	L["desc slow timer"]="Время между тиками таймера в обычном режиме"
	L["min time"]="Порог кулдауна"
	L["desc min time"]="Порог до окончания кулдауна, на котором происходит ускорение таймера"
	
	L["announce CDs"]="Оповещение окончания кулдаунов"
	
	L["ann rw"] = "Оповещение рейда"
	L["desc ann rw"] = "После окончания кулдауна оповестить его окончание через канал оповещения рейда."
	L["ann raid"] = "Канал рейда"
	L["desc ann raid"] = "После окончания кулдауна оповестить его окончание через канал рейда."
	L["ann say"] = "Сказать"
	L["desc ann say"] = "После окончания кулдауна оповестить его окончание через /say."
	L["ann yell"] = "Крикнуть"
	L["desc ann yell"] = "После окончания кулдауна оповестить его окончание через /yell."
	L["ann self"] = "Сообщение в чат"
	L["desc ann self"] = "После окончания кулдауна оповестить его окончание в личный чат."
	L["ann only rl"] = "Только статус помощник"
	L["desc ann only rl"] = "Оповещать в публичные каналы (/rw /raid /yell /say) только со статусом помощника."
	L["ann party"] = "Группа"
	L["desc ann party"] = "После окончания кулдауна оповестить его окончание через канал группы."
	
	L["Spell %s of %s is ready!"] = "Спелл %s %s готов!"
end










